'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var backendPluginApi = require('@backstage/backend-plugin-api');
var router = require('./service/router.cjs.js');
var pluginSignalsNode = require('@backstage/plugin-signals-node');
var DatabaseUserSettingsStore = require('./database/DatabaseUserSettingsStore.cjs.js');

var feature = backendPluginApi.createBackendPlugin({
  pluginId: "user-settings",
  register(env) {
    env.registerInit({
      deps: {
        database: backendPluginApi.coreServices.database,
        httpAuth: backendPluginApi.coreServices.httpAuth,
        httpRouter: backendPluginApi.coreServices.httpRouter,
        signals: pluginSignalsNode.signalsServiceRef
      },
      async init({ database, httpAuth, httpRouter, signals }) {
        const userSettingsStore = await DatabaseUserSettingsStore.DatabaseUserSettingsStore.create({
          database
        });
        httpRouter.use(
          await router.createRouterInternal({ userSettingsStore, httpAuth, signals })
        );
      }
    });
  }
});

exports.default = feature;
//# sourceMappingURL=plugin.cjs.js.map
